<%@page contentType="text/html; charset=UTF-8"%>
<%@page import="com.csc.library.entry.HelpEntry,com.csc.library.system.*"%>
<jsp:useBean id="AS09HELP2" class="com.csc.library.system.Task" scope="page" />
<%AS09HELP2.setChannel(request, response);%>
<%HelpEntry screen = (HelpEntry) AS09HELP2.process("HelpEntry","AS09HELP2");%>
<%screen.process();
%>
<html>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link href="../CSS/TISCO.css" rel="stylesheet" type="text/css">
<script  language="JavaScript" src="../JS/SCREEN.js"></script>

<script type='text/javascript' src='../JS/ICONSMENU.js'></script>
<script  language="JavaScript" src="../JS/APSSCREEN.js"></script>
<script language='javascript' src='../JS/HOTKEY.js'></script>
<script language='javascript'>setLang('<%=screen.getUProfile().get("lang")%>');</script>

<script language="JavaScript" type="text/JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
//---------------------------------- Set myArray----------------------
 function countChecked(){
	var count=0;
			with(document.cscform){
				 if((typeof _selectit.length)!="undefined"){					
							for(i=0;i<_selectit.length;i++){
									if(_selectit[i].checked){
										  count++;
									}
							}
					}else{
								count=1;
					}
		}
		return count;
}

function addlist(){
	    var cCount=countChecked();
		var j=0;
			with(document.cscform){
	        newDatalist  = new Array(cCount);
				 if((typeof _selectit.length)!="undefined"){				
						for(i=0;i<_selectit.length;i++){
								if(_selectit[i].checked){
										newDatalist[ j++ ] = new Option( _selectit[i].value+"            "+__myvalue[i].value, _selectit[i].value+"#"+weight[i].value );
								}
						}
					}else{
										newDatalist[ j++ ] = new Option( _selectit.value+"            "+__myvalue.value, _selectit.value+"#"+weight.value );
					}
			}
			return newDatalist;			
	}
			
    function chkNumber(){
	    var icount=0;
		var we=0;
		  with(document.cscform){	
				 if((typeof _selectit.length)!="undefined"){					
							for(i=0;i<_selectit.length;i++){
									if(_selectit[i].checked){
									      we=parseFloat(weight[i].value)
									      if(weight[i].value==""){
										        we=0;
										  }
										  icount+=we;
									}//if
							}//for
					   }else{
					           if(_selectit.checked){
							          icount=parseFloat(weight.value);
							   }
					}//if
		  }//with
		  return icount;
	}
		
	function chkTopnumber(count){
	var icount=parseFloat(count);
			if(icount==100){
					    return true;
					}
					return false;
	}
		
	function inputTop(obj){
	var chknum=0;
	var myobj=0;
	var tmp=0;
    	            chknum=parseFloat(chkNumber());
					 if(!chkTopnumber(chknum)){
								if((myobj>100)||(myobj<0)){
									  obj.value="0";
							   }
						   myobj=parseFloat(obj.value);
  						   if(chknum>100){
							   tmp=100-chknum;
							   obj.value=myobj+tmp;
							   }
					 }else{
					          alert(MyCode[40]);
					 }
	}	
			
	function addParen(){
	 var chknum=chkNumber();
	 //alert(chknum);
								  if(chkTopnumber(chknum)){
								  window.opener.addOption(addlist());
								  window.close();
								  }else{
								       alert(MyCode[40]);
								  }
	}

//-----------------------------------------------------------------
function setClose(){ //butoon close
	window.close();
}

//-->
</script>

</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onLoad="MM_preloadImages('../IMAGES/BUTTON/SWAP/SEARCH_SWAP20.gif')">
<form name="cscform" method="post" action="#">


<!----------BEGIN CSC INITIAL ZONE ------------------------>

<%=screen.InitialVariable()%>

<!----------END CSC INITIAL ZONE -------------------------->

<input type="hidden" name="__cmd" value="">
<input type="hidden" name="__help" value="">
  <input type="hidden" name="__pageCall" value="<%=request.getParameter("__screen")%>">
   <input type="hidden" name="__language" value ="<%=screen.getUProfile().get("lang")%>"> 
<br>
  <div align="center">
    <table  cellpadding="0"  cellspacing="0" class="large">
      <tr > 
        <td  class="header">AS09HELP2
          <script language="javascript">swapLang('Assess Group Table Detail');</script>
          &nbsp;</td>
      </tr>
      <tr > 
        <td  colspan="2"> 
          <div align="center"> 
            <table width="100%"  cellpadding="0" cellspacing="0"  class="inframe">
              <tr> 
                <td width="70">&nbsp;</td>
                <td width="570">&nbsp;</td>
              </tr>
              <tr> 
                <td><div align="left">&nbsp; 
                    <script language="javascript">swapLang('Order By');</script>
                  </div></td>
                <td><%=screen.getTagOrder()%></td>
              </tr>
              <tr> 
                <td><div align="left">&nbsp; 
                    <script language="javascript">swapLang('Search By');</script>
                  </div></td>
                <td><%=screen.getTagSearchBy()%><%=screen.getTagConSearch()%> 
                  <%=screen.getTagValueSearch()%> <a href="javascript:search();" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('Image4','','../IMAGES/BUTTON/SWAP/SEARCH_SWAP20.gif',1)"><img src="../IMAGES/BUTTON/MAIN/SEARCH20.gif" alt="ค้นหา" name="Image4" width="20" height="20" border="0" align="absmiddle"></a></td>
              </tr>
              <tr> 
                <td colspan="2"  class="blankspace"></td>
              </tr>
              <tr> 
                <td colspan="2"><div align="right"><strong><%=screen.getPageTag()%>&nbsp;</strong></div></td>
              </tr>
              <tr > 
                <td colspan="2" bgcolor="#FFFFFF" ><table width="100%" border="0" cellpadding="3" cellspacing="1" bgcolor="#666666" class="inframe">
                    <tr> 
                      <td class="title1" width="5%"><div align="center"> 
                          <script language="javascript">swapLang('Select');</script>
                        </div></td>
                      <td class="title1" width="10%"><div align="center"> 
                          <script language="JavaScript">
swapLang('Code');
</script>
                        </div></td>
                      <td class="title1" width="20%"> <div align="center"> 
                          <script language="JavaScript">
swapLang('Form Name');
</script>
                        </div></td>
                      <td class="title1" ><div align="center">
                          <script language="javascript">swapLang('Description');</script>
                        </div></td>
                      <td class="title1" width="5%"><div align="center"> 
                          <script language="JavaScript">
swapLang('Weight');
</script>
                        </div></td>
                    </tr>
                    <%
					while(screen.nextRec()){
					%>
                    <tr> 
                      <td><div align="center"> 
                          <input name="_selectit" type="checkbox" value="<%=screen.getString("asfid")%>" >
                          <input name="__myvalue" type="hidden" value="<%=screen.getString("tdesc")%>" >
                        </div></td>
                      <td><div align="center"><%=screen.getString("asfid")%></div></td>
                      <td><%=screen.getString("tdesc")%></td>
                      <td><%=screen.getString("asfmemo")%></td>
                      <td> <div align="center">
                          <input name="weight" type="text" size="5" maxlength="5"  >
                        </div></td>
                    </tr>
                    <%}%>
                  </table></td>
              </tr>
              <tr > 
                <td colspan="2" class="blankspace"><div align="right"></div></td>
              </tr>
              <tr >
                <td colspan="2" class="blankspace"><div align="center"><a href="javascript:setSelectAll();"><img SRC="../IMAGES/BUTTON/SELECTALL.gif" border="0" ></a> 
                  &nbsp;<a href="javascript:setDeselectAll();"><img SRC="../IMAGES/BUTTON/DESELECTALL.gif" border="0" ></a> 
                  &nbsp; <a href="javascript:addParen();"><img SRC="../IMAGES/BUTTON/ADD.gif"  border="0"></a> 
                  &nbsp; <a href="javascript:setClose();"><img SRC="../IMAGES/BUTTON/CANCEL.gif" border="0"></a></div> 
                </td>
              </tr>
              <tr > 
                <td colspan="2" class="blankspace">&nbsp;</td>
              </tr>
            </table>
          </div></td>
      </tr>
      <tr bordercolor="0069B3"> 
        <td  class="bottom"></td>
      </tr>
    </table>
  </div>
</form>
</body>
</html>
